7.8
CWE
125 126
Advisory Published
Updated

CVE-2022-40524: Buffer over-read in Modem

First published: Tue Sep 05 2023(Updated: )

Memory corruption due to buffer over-read in Modem while processing SetNativeHandle RTP service.

Credit: product-security@qualcomm.com product-security@qualcomm.com

Affected SoftwareAffected VersionHow to fix
Google Android
Google Android
Qualcomm Qca6390 Firmware
Qualcomm Qca6390
Google Android
Google Android
Google Android
Qualcomm Qca6420
Qualcomm Qca6426 Firmware
Google Android
Qualcomm Qca6430 Firmware
Google Android
Google Android
Qualcomm Qca6436
Google Android
Qualcomm Qca6574au
Google Android
Google Android
Google Android
Qualcomm Qca6696
Qualcomm Qcc5100 Firmware
Qualcomm Qcc5100
Google Android
Qualcomm Sa6145p
Qualcomm Sa6150p Firmware
Google Android
Google Android
Qualcomm Sa6155p
Qualcomm Sa8145p Firmware
Qualcomm Sa8145p
Google Android
Qualcomm Sa8150p
Google Android
Google Android
Qualcomm Sa8195p Firmware
Google Android
Google Android
Google Android
Google Android
Google Android
Qualcomm Sd870 Firmware
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Qualcomm Wcd9341 Firmware
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android
Google Android

Never miss a vulnerability like this again

Sign up to SecAlerts for real-time vulnerability data matched to your software, aggregated from hundreds of sources.

Frequently Asked Questions

  • What is CVE-2022-40524?

    CVE-2022-40524 is a vulnerability that causes memory corruption due to buffer over-read in Modem while processing SetNativeHandle RTP service.

  • What is the severity of CVE-2022-40524?

    The severity of CVE-2022-40524 is high with a CVSS score of 7.8.

  • Which software is affected by CVE-2022-40524?

    CVE-2022-40524 affects various software including Google Android and Qualcomm firmware.

  • How can I fix CVE-2022-40524?

    To fix CVE-2022-40524, it is recommended to apply the security patches provided by the software vendor.

  • Where can I find more information about CVE-2022-40524?

    You can find more information about CVE-2022-40524 on the official Qualcomm Product Security website.

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203